@media screen and (min-width: 0) {
  .intro__texto--titulo {
    font-family: var(--font-heading);
    font-size: 28px;
    color: var(--rosa-claro);
    align-items: center;
    margin: auto;
    line-height: 1.3;
  }

  .destaque--rosa {
    color: var(--rosa);
    font-weight: 100;
  }

  .intro__texto--corpo {
    font-family: var(--font-body);
    color: var(--branco);
    font-weight: 600;
    font-size: 16px;
    margin: 24px auto;
    line-height: 1.4;
  }

  .intro__texto--botoes {
    display: flex;
    padding-bottom: 20px;
    /* margin: auto; */
  }

  @keyframes flutuar {
    0% {
      bottom: 0px;
    }

    50% {
      bottom: -18px;
    }

    100% {
      bottom: 0px;
    }
  }

  .intro__texto--imagem {
    background: url(../../img/intro/mulheres-intro.svg) no-repeat center /
      contain;
    display: block;
    margin: auto;
    margin-bottom: 100px;
    width: 100%;
    max-width: 280px;
    height: 340px;
    position: relative;
    bottom: 0px;
    animation-name: flutuar;
    animation-duration: 3.2s;
    animation-timing-function: ease;
    animation-iteration-count: infinite;
  }

  .intro__texto--botoes li {
    width: 100%;
  }
}

@media screen and (min-width: 576px) {
  .intro__texto--botoes li {
    width: auto;
  }
}

@media screen and (min-width: 768px) {
  .intro__container--informacoes {
    max-width: 520px;
    margin: 0 auto;
  }

  .intro__texto--titulo {
    font-size: 40px;
    color: var(--branco);
    margin-top: 56px;
  }

  .intro__texto--corpo {
    font-size: 18px;
    padding: 0;
    position: initial;
  }

  .intro__texto--botoes {
    max-width: 465px;
  }

  .intro__texto--imagem {
    max-width: 470px;
    height: 363px;
    margin: 54px auto 120px auto;
  }
}

@media screen and (min-width: 1024px) {
  .intro__menu {
    display: flex;
    justify-content: center;
  }

  .intro__container {
    display: flex;
    justify-content: space-between;
    padding-top: 100px;
    padding-bottom: 100px;
  }

  .intro__texto--titulo {
    padding: 0px;
  }

  .intro__texto--botoes {
    margin-top: 32px;
    justify-content: start;
    display: flex;
    gap: 16px;
  }

  .intro__texto--botoes .btn-primary {
    background-color: var(--rosa);
    color: var(--roxo-escuro);
  }

  .intro__texto--botoes .btn-secondary {
    border-color: var(--rosa);
    color: var(--rosa);
  }

  .intro__texto--botoes .btn-primary:hover {
    background-color: var(--rosa-escuro);
  }

  .intro__texto--botoes .btn-secondary:hover {
    border-color: var(--rosa-escuro);
    color: var(--rosa-escuro);
  }

  .intro__texto--imagem {
    margin: 96px 0 80px 0px;
    max-width: 470px;
  }
}
